Subject: gitweb on kernel.org broken

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 16 Jan 2006 10:44:35 -0800

It seems that gitweb throws an error every time.  This means that 
nothing gets cached, and therefore the load on the kernel.org machines 
is driven into the high double digits:

[Mon Jan 16 10:42:01 2006] [error] [client 82.181.110.11] [Mon Jan 16 
10:42:01 2006] index.cgi: Use of uninitialized value in scalar 
assignment at /home/httpd/html/git/index.cgi line 411.
[Mon Jan 16 10:42:03 2006] [error] [client 82.181.110.11] fatal: Not a 
git repository: '/pub/scm/linux/hotplug/hotplug-ng.git'
[Mon Jan 16 10:42:03 2006] [error] [client 82.181.110.11] [Mon Jan 16 
10:42:03 2006] index.cgi: Use of uninitialized value in scalar chomp at 
/home/httpd/html/git/index.cgi line 406.
[Mon Jan 16 10:42:03 2006] [error] [client 82.181.110.11] [Mon Jan 16 
10:42:03 2006] index.cgi: Use of uninitialized value in pattern match 
(m//) at /home/httpd/html/git/index.cgi line 407.

This is all very bad...

	-hpa